Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSVisualVoiceMailService Class Reference

Service interface for visual voicemail, providing visual voicemail service retrieve and delete voice messages, mark messages as read and unread. More...

`#import <CSVisualVoiceMailService.h>`

Inherits NSObject.

## Instance Methods
(void) | - retrieveAllMessages:
| Retrieve visual voicemail messages for the user. More...
(void) | - deleteMessage:completionHandler:
| Delete visual voicemail message. More...

## Properties
id< CSVisualVoiceMailServiceDelegate > | delegate
| The delegate responsible for visual voicemail events. More...
CSCapability * | retrieveMessagesCapability
| Returns an indication of whether the visual voicemail messages can be retrieved. More...
CSCapability * | deleteMessagesCapability
| Returns an indication of whether the visual voicemail messages can be deleted. More...
BOOL | hasUnreadMessages
| Returns whether the user has unread voice messages. More...
NSUInteger | unreadMessageCount
| Get number of unread voice messages. More...
BOOL | serviceAvailable
| Report the service availability status. More...

## Detailed Description

Service interface for visual voicemail, providing visual voicemail service retrieve and delete voice messages, mark messages as read and unread.

## Method Documentation

- (void) deleteMessage: |  | (CSVisualVoiceMailMessage *) | visualVoiceMailMessage
completionHandler: |  | (CSVisualVoiceMailCompletionHandler) | handler

Delete visual voicemail message.

Parameters

  visualVoiceMailMessage | The CSVisualVoiceMailMessage for this operation.
  handler | CSMessagingCompletionHandler for this operation

- (void) retrieveAllMessages: |  | (CSDataRetrievalWatcher *) | watcher |

Retrieve visual voicemail messages for the user.

Parameters

  watcher | Watcher.

## Property Documentation

- (id<CSVisualVoiceMailServiceDelegate>) delegate
| read write nonatomic weak

The delegate responsible for visual voicemail events.

- (CSCapability*) deleteMessagesCapability
| read nonatomic assign

Returns an indication of whether the visual voicemail messages can be deleted.

Returns
  Capability object describing whether the visual voicemail messages can be deleted.

- (BOOL) hasUnreadMessages
| read nonatomic assign

Returns whether the user has unread voice messages.

Returns
  True if user has unread voice messages.

- (CSCapability*) retrieveMessagesCapability
| read nonatomic assign

Returns an indication of whether the visual voicemail messages can be retrieved.

Returns
  Capability object describing whether the visual voicemail messages can be retrieved.

- (BOOL) serviceAvailable
| read nonatomic assign

Report the service availability status.

- (NSUInteger) unreadMessageCount
| read nonatomic assign

Get number of unread voice messages.

Returns
  The unread message count.

The documentation for this class was generated from the following file:

- CSVisualVoiceMailService.h